---
title: MediaError
slug: Web/API/MediaError
tags:
  - API
  - Audio
  - Errors
  - HTML DOM
  - Interface
  - Media
  - MediaError
  - Reference
  - Video
---
<p>{{APIRef("HTML DOM")}}</p>

<p><span class="seoSummary">The <code><strong>MediaError</strong></code> interface represents an error which occurred while handling media in an HTML media element based on {{domxref("HTMLMediaElement")}}, such as {{HTMLElement("audio")}} or {{HTMLElement("video")}}.</span></p>

<p>A <code>MediaError</code> object describes the error in general terms using a numeric <code>code</code> categorizing the kind of error, and a <code>message</code>, which provides specific diagnostics about what went wrong.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't inherit any properties.</em></p>

<dl>
 <dt>{{domxref("MediaError.code")}}</dt>
 <dd>A number which represents the general type of error that occurred, as follows: {{page("/en-US/docs/Web/API/MediaError/code", "Media error code constants")}}</dd>
 <dt>{{domxref("MediaError.message")}}</dt>
 <dd>A {{domxref("DOMString")}} object containing a human-readable string which provides <em>specific diagnostic information</em> to help the reader understand the error condition which occurred; specifically, it isn't a summary of what the error code means, but actual diagnostic information to help in understanding what exactly went wrong. This text and its format is not defined by the specification and will vary from one {{Glossary("user agent")}} to another. If no diagnostics are available, or no explanation can be provided, this value is an empty string (<code>""</code>).</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement or inherit any methods, and has none of its own.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "embedded-content.html#mediaerror", "MediaError")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaError")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLMediaElement.error")}}</li>
</ul>
